local t = Def.ActorFrame{

	Def.ActorFrame{
		--lifecover
		Condition=not GAMESTATE:IsDemonstration() and GAMESTATE:IsHumanPlayer('PlayerNumber_P1');
		LoadActor(THEME:GetPathG("","life_under"))..{
			InitCommand=function(self)
				if GetScreenAspectRatio() >= 1.7777777777777777777777777777778 then
					self:x(-184);
				elseif GetScreenAspectRatio() >= 1.6 then
					self:x(-162);
				else
					self:x(-131);
				end;
			end;
			OnCommand=cmd(diffusealpha,0;horizalign,left;zoomtowidth,SCREEN_WIDTH/2-60;zoomtoheight,12;sleep,0.5;linear,0.2;diffusealpha,0.7);
		};
		LoadActor(THEME:GetPathG("ScreenGameplay","LifeFrame/percentframe_back"))..{
			InitCommand=function(self)	
				if GetScreenAspectRatio() >= 1.7777777777777777777777777777778 then
					self:x(116.5);
				elseif GetScreenAspectRatio() >= 1.6 then
					self:x(95);
				else
					self:x(63);
				end;
			end;
			OnCommand=cmd(horizalign,right;y,-19;addx,SCREEN_WIDTH*0.2;zoomy,0.1;diffusealpha,0;sleep,0.5;linear,0.1;diffusealpha,1;accelerate,0.2;addx,-SCREEN_WIDTH*0.2;accelerate,0.2;zoomy,1;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
		};
	};
	
	Def.ActorFrame{
		--lifecover
		Condition=not GAMESTATE:IsDemonstration() and GAMESTATE:IsHumanPlayer('PlayerNumber_P2');
		LoadActor(THEME:GetPathG("","life_under"))..{
			InitCommand=function(self)
				if GetScreenAspectRatio() >= 1.7777777777777777777777777777778 then
					self:x(-184);
				elseif GetScreenAspectRatio() >= 1.6 then
					self:x(-162);
				else
					self:x(-131);
				end;
			end;
			OnCommand=cmd(diffusealpha,0;horizalign,left;zoomtowidth,SCREEN_WIDTH/2-60;zoomtoheight,12;sleep,0.5;linear,0.2;diffusealpha,0.7);
		};
		LoadActor(THEME:GetPathG("ScreenGameplay","LifeFrame/percentframe_back"))..{
			InitCommand=function(self)	
				if GetScreenAspectRatio() >= 1.7777777777777777777777777777778 then
					self:x(116.5);
				elseif GetScreenAspectRatio() >= 1.6 then
					self:x(95);
				else
					self:x(63);
				end;
			end;
			OnCommand=cmd(horizalign,right;y,-19;addx,SCREEN_WIDTH*0.2;zoomy,0.1;diffusealpha,0;sleep,0.5;linear,0.1;diffusealpha,1;accelerate,0.2;addx,-SCREEN_WIDTH*0.2;accelerate,0.2;zoomy,1;glow,color("1,0,0,0");linear,0.05;glow,color("1,0,0,1");linear,0.4;glow,color("1,0,0,0"););
		};
	};
};

return t;